Class NetworkOperator.NetworkBuilder
java.lang.Object
com.eqixiac.equinix.fabric.model.json.creators.NetworkOperator.NetworkBuilder
- Enclosing class:
NetworkOperator
- Author:
- ianjones
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreate()dryRun()Marks this create as a dry run: the request is sent with the spec'sdryRun=truequery parameter ("option to verify that API calls will succeed"; boolean, defaultfalse).notification(NotificationType type, String emailAddress) notification(List<Notification> notifications) scope(NetworkScope scope) withLocation(LocationCode location) withProject(Project project)
-
Constructor Details
-
NetworkBuilder
-
-
Method Details
-
name
-
scope
-
withProject
-
withLocation
-
notification
-
notification
-
dryRun
Marks this create as a dry run: the request is sent with the spec'sdryRun=truequery parameter ("option to verify that API calls will succeed"; boolean, defaultfalse). Nothing is provisioned —create()returns the validated request echoed back by the API with nouuid/href/state(spec exampleCreateNetworkDryRunResponse).- Returns:
- this builder
-
create
-